org.apache.ignite.internal.pagemem.wal.record.delta

## Class SplitForwardPageRecord

- java.lang.Object
- - org.apache.ignite.internal.pagemem.wal.record.WALRecord
  - - org.apache.ignite.internal.pagemem.wal.record.delta.PageDeltaRecord
    - - org.apache.ignite.internal.pagemem.wal.record.delta.SplitForwardPageRecord

    public class SplitForwardPageRecord
    extends PageDeltaRecord

Split forward page record.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.ignite.internal.pagemem.wal.record.WALRecord

`WALRecord.RecordType`

### Constructor Summary

Constructors
Constructor and Description
`SplitForwardPageRecord(int grpId, long pageId, long fwdId, int ioType, int ioVer, long srcPageId, int mid, int cnt)`

### Method Summary

Methods
`void` `applyDelta(PageMemory pageMem, long pageAddr)` Apply changes from this delta to the given page.
`int` `count()`
`long` `forwardId()`
`int` `ioType()`
`int` `ioVersion()`
`int` `middleIndex()`
`long` `sourcePageId()`
`WALRecord.RecordType` `type()`

### Methods inherited from class org.apache.ignite.internal.pagemem.wal.record.delta.PageDeltaRecord

`groupId, pageId, toString`

### Methods inherited from class org.apache.ignite.internal.pagemem.wal.record.WALRecord

`chainSize, chainSize, position, position, previous, previous, size, size`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SplitForwardPageRecord

    public SplitForwardPageRecord(int grpId,
                          long pageId,
                          long fwdId,
                          int ioType,
                          int ioVer,
                          long srcPageId,
                          int mid,
                          int cnt)

Parameters:
  `grpId` - Cache group ID.
  `pageId` - Real forward page ID.
  `fwdId` - Virtual forward page ID.
  `ioType` - IO Type.
  `ioVer` - IO Version.
  `srcPageId` - ID of the page which is about to be splitted.
  `mid` - Bisection index.
  `cnt` - Initial elements count in the page being split.

### Method Detail

#### applyDelta

    public void applyDelta(PageMemory pageMem,
                  long pageAddr)
                    throws IgniteCheckedException

Apply changes from this delta to the given page. It is assumed that the given buffer represents page state right before this update.

Specified by:
  `applyDelta` in class `PageDeltaRecord`
Parameters:
  `pageMem` - Page memory.
  `pageAddr` - Page address.
Throws:
  `IgniteCheckedException` - If failed.

#### type

    public WALRecord.RecordType type()

Specified by:
  `type` in class `WALRecord`
Returns:
  Entry type.

#### forwardId

    public long forwardId()

#### ioType

    public int ioType()

#### ioVersion

    public int ioVersion()

#### sourcePageId

    public long sourcePageId()

#### middleIndex

    public int middleIndex()

#### count

    public int count()

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.2.0
Release Date | : September 15 2017